> For the complete documentation index, see [llms.txt](https://docs.keeper.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keeper.io/keeperpam/jp/commander-cli/command-reference/reporting-commands/report-types.md).

# レポートの種類

## 概要 <a href="#about" id="about"></a>

コマンダーでは、イベントデータとコンプライアンスデータを使用して、さまざまなレポートを実行できます。

## 一般的なレポート <a href="#common-reports" id="common-reports"></a>

コマンダーで実行できるレポートの例は以下のとおりです。

* X日間ログインしていないユーザーの検索
* 各ユーザーが最後にログインした時刻の表示
* X日以内にレコードの作成も更新もしていないユーザーの検索
* ユーザーがアクセスしたすべてのレコードUIDの表示
* チームがアクセスできる共有フォルダの特定
* X日以内に変更されていないレコードパスワードの特定

## レポートをファイルに保存 <a href="#saving-reports-to-a-file" id="saving-reports-to-a-file"></a>

コマンダーのすべてのレポートはファイルに保存できます。任意のレポートコマンドに以下のオプションを追加してください。

`--format` レポートの出力形式の指定。オプションは `json`、`csv`、`table` (既定の表示)

`--output` レポート出力を保存するファイル名の指定。指定したファイルが存在しない場合は新規に作成される

### 例 <a href="#examples" id="examples"></a>

Microsoft ExcelまたはGoogleスプレッドシートで使用するために、レポートをCSVとして保存します。

```
share-report --shared-folders --format csv --output "shared_folder_report_results.csv"
```

スクリプトで使用するために、レポートをJSONファイルとして保存します。

```
user-report --format json --output "user_report.json"
```

<details>

<summary>ファイルの保存場所</summary>

コマンダーが作成したファイルは、コマンダーの実行方法と使用したオプションに応じて、複数ある保存先のいずれかに書き込まれます。

**デフォルトのコマンダーファイルの場所**

コマンダーのアプリケーションバージョンを使用している場合、ファイルは既定でユーザーディレクトリに保存されます。Windows の場合は `C:\users\username`、macOS の場合は `/Users/username` です。

コマンドライン/ターミナルからコマンダーを使用している場合、ファイルは既定でカレントディレクトリに保存されます。

**特定の場所を設定**

コマンダーでファイルを作成する際、ファイル名の前にパスを指定すると、指定した場所にファイルが追加されます。パスは相対パス、絶対パスのいずれも使用できます。\
例: `[...] --output "/reports/report.csv"` は、既定の場所を基準とした `reports` フォルダにファイルが保存されます (アプリケーションバージョンの場合は `/Users/username/reports/`、コマンドライン使用時は `current directory/reports/`)。

`[...] --output "C:\reports\report.csv"` では、Windows 上で C ドライブの `reports` フォルダにファイルが保存されます。

</details>

## レポートの種類 <a href="#report-types-1" id="report-types-1"></a>

コマンダーで実行できるレポートの一覧です。コマンド名をクリックすると、該当コマンドのドキュメントへ移動します。

<table><thead><tr><th width="282">コマンド</th><th>説明</th></tr></thead><tbody><tr><td><a href="/pages/-McBBp0BzA7bQUJVBZ3N#action-report-command"><code>action-report</code></a></td><td>指定した日数内に特定の操作を実行しなかったユーザーを表示</td></tr><tr><td><a href="/pages/-McBBp0BzA7bQUJVBZ3N#aging-report-command"><code>aging-report</code></a></td><td>パスワード変更レポートの表示と、変更されていないレコードの検索</td></tr><tr><td><a href="/pages/-McBBp0BzA7bQUJVBZ3N#audit-log-command"><code>audit-log</code></a></td><td>組織の監査ログとイベントログをエクスポート</td></tr><tr><td><a href="/pages/-McBBp0BzA7bQUJVBZ3N#audit-report-command"><code>audit-report</code></a></td><td>監査イベントのカスタマイズされたレポートを表示</td></tr><tr><td><a href="/pages/-McBBp0BzA7bQUJVBZ3N#compliance-report-command"><code>compliance-report</code></a></td><td>組織のユーザーのボルト内のレコードに関する情報を表示</td></tr><tr><td><a href="/pages/-McBBp0BzA7bQUJVBZ3N#msp-legacy-report-command"><code>msp-legacy-report</code></a></td><td>管理対象企業で利用可能なライセンスに関する情報を表示</td></tr><tr><td><a href="/pages/-McBBp0BzA7bQUJVBZ3N#security-audit-report-command"><code>security-audit-report</code></a></td><td>組織内のユーザーごとにパスワードのセキュリティ強度のレポートを表示</td></tr><tr><td><a href="/pages/-McBBp0BzA7bQUJVBZ3N#shared-records-report-command"><code>shared-records-report</code></a></td><td>共有レコードの情報を表示</td></tr><tr><td><a href="/pages/-McBBp0BzA7bQUJVBZ3N#share-report-command"><code>share-report</code></a></td><td>ログインしたKeeperボルト内の共有レコードのレポートを表示</td></tr><tr><td><a href="/pages/-McBBp0BzA7bQUJVBZ3N#user-report-command"><code>user-report</code></a></td><td>ユーザーログインのレポートを表示</td></tr></tbody></table>

## 一般的なレポートの詳細 <a href="#common-reports-in-detail" id="common-reports-in-detail"></a>

### ログインしていないユーザーの検索 <a href="#find-users-that-have-not-logged-in" id="find-users-that-have-not-logged-in"></a>

{% hint style="info" %}
ARAMアドオンが必要です。
{% endhint %}

```
action-report --target no-logon
```

既定では30日前まで遡ります (30日以内にログインしていないすべてのユーザーが対象)。遡る日数は `--days X` フラグで変更できます (`X` は日数)。

<details>

<summary>例</summary>

```
My Vault> action-report --target no-logon

Admin Action Taken:
        COMMAND: None
        STATUS: n/a
        SERVER MESSAGE: n/a
        AFFECTED: 0

3 Users With "no-logon" Status Older Than 30 Day(s):

username
-----------------------------------------
john.smith@examplecorp.com
jane.doe@examplecorp.com
chris.apple@examplecorp.com
```

</details>

## 各ユーザーが最後にログインした時刻の表示 <a href="#see-the-last-time-each-user-logged-in" id="see-the-last-time-each-user-logged-in"></a>

```
user-report --last-login
```

ユーザーのチームやノードなどの詳細を含めるには、`--last-login` を付けずに `user-report` を実行します。

<details>

<summary>例</summary>

```
My Vault> user-report --last-login
Querying latest login for the last 365 days
Email                                      Name                                       Status    Transfer Status    Last Login
-----------------------------------------  -----------------------------------------  --------  -----------------  -------------------------
john.smith@examplecorp.com                 John Smith                                 Active                       2022-08-22 12:33:03-05:00
chris.apple@examplecorp.com                Chris Apple                                Invited
sam.strong@examplecorp.com                 Samantha Strong                            Active                       2022-08-09 13:03:31-05:00
jane.doe@examplecorp.com                   Jane Doe                                   Active                       2022-10-10 09:07:34-05:00
admin+comms@examplecorp.com                Communication Admin                        Active
```

</details>

## レコードの作成も更新もしていないユーザーの検索 <a href="#find-users-that-have-not-created-or-updated-any-records" id="find-users-that-have-not-created-or-updated-any-records"></a>

{% hint style="info" %}
ARAMアドオンが必要です。
{% endhint %}

```
action-report --target no-update
```

既定では30日前まで遡ります (30日以内にレコードの作成も更新もしていないすべてのユーザーが対象)。遡る日数は `--days X` フラグで変更できます (`X` は日数)。

<details>

<summary>例</summary>

```
My Vault> action-report --target no-update

Admin Action Taken:
        COMMAND: None
        STATUS: n/a
        SERVER MESSAGE: n/a
        AFFECTED: 0

3 Users With "no-update" Status Older Than 30 Day(s):

username
-----------------------------------------
john.smith@examplecorp.com
jane.doe@examplecorp.com
chris.apple@examplecorp.com
```

</details>

## ユーザーが過去にアクセスしたすべてのレコードの表示 <a href="#see-all-records-historically-accessed-by-a-user" id="see-all-records-historically-accessed-by-a-user"></a>

{% hint style="info" %}
ARAMアドオンとコンプライアンスレポートアドオンが必要です。
{% endhint %}

```
compliance record-access-report --email <USERNAME>
```

`<USERNAME>` を、アクセス履歴を表示するユーザーのユーザー名またはメールアドレスに置き換えます。

ユーザーが現在ボルト内に保管しているレコードの一覧を取得するには、以下を使用します。

`compliance record-access-report --report-type vault --email <USERNAME>`

ユーザーがアクセス可能なすべてのレコード (所有分と共有分を含む) を完全に把握するには、`compliance report` と `compliance record-access-report --report-type vault` を組み合わせ、`compliance report.username == rar.vault_owner` かつ `record_uid` が一致する行同士で結合します。

{% hint style="warning" %}
コマンダーのバージョンによっては、`--report-type vault` ですべての共有レコードが含まれない場合があります。ボルト全体を把握するには、上記の推奨ワークフローをご利用ください。
{% endhint %}

<details>

<summary>例</summary>

```
My Vault> compliance record-access-report --email john.smith@examplecorp.com
Loading record information.....
Record UID              Record Title                       Record URL                         Record Owner                IP Address       Device             Last Access
----------------------  ---------------------------------  ---------------------------------  -------------------------   ---------------  -----------------  -------------------
x4AOxLwR5tSA7u5R9Bwplw  wifi details                                                          john.smith@examplecorp.com  11.00.001.001    Web App 16.7.3     2022-10-13 12:38:33
xrnnK1HWSLMVh_irjIGAJw  SAP Connect                                                           john.smith@examplecorp.com  11.00.001.001    Commander 16.7.0   2022-10-13 12:12:46
xB36NT_lPxestkuCCg_35w                                                                                                    11.00.001.001    Web App 16.8.0     2022-10-07 09:39:10
U7YOaZv4pmLXGfTHPXuvaA                                                                                                    11.00.001.001    Commander 16.7.0   2022-10-05 15:09:43
a9TshEIoSluKXAccdJhHIQ  Dropbox                            dropbox.com/login                  sam.strong@examplecorp.com  11.00.001.001    Commander 16.7.0   2022-10-05 15:09:31
6wSYfG9UeHTzDDSIGeuiyg  Twitter                            https://www.twitter.com            john.smith@examplecorp.com  11.00.001.001    Commander 16.7.0   2022-10-05 15:09:25
o6BJUKCGLa7mmMApzPjw4A  KCM Connect SSH                    127.0.0.1                          john.smith@examplecorp.com  11.00.001.001    Commander 16.7.0   2022-10-05 15:09:14
```

</details>

## チームがアクセスできる共有フォルダを表示 <a href="#see-what-shared-folders-teams-have-access-to" id="see-what-shared-folders-teams-have-access-to"></a>

{% hint style="info" %}
コンプライアンスレポートアドオンが必要です。
{% endhint %}

```
compliance team-report
```

<details>

<summary>例</summary>

```
My Vault> compliance team-report
Loading compliance data....:...:...:...:...:...:...:...:...:...:...:...:...:

Team Name    Shared Folder Name     Shared Folder UID       Permissions
-----------  --------------------   ----------------------  -------------
Comms-Team   Comms Team Logins      8-2gk4cde5hWN5q7ENwpCA  read-only
Engineering  Deployment Credentials 3kf9kd4e5hWdN5q7Ed9fS0  can-edit
Management   Finances Logins        dO9S0cMQ_kPYAsUYILVlSA  can-share
```

</details>

## 変更されていないレコードパスワードの特定 <a href="#determine-which-record-passwords-have-not-been-changed" id="determine-which-record-passwords-have-not-been-changed"></a>

{% hint style="info" %}
コンプライアンスレポートアドオンが必要です。
{% endhint %}

```
aging-report
```

<details>

<summary>例</summary>

```
My Vault> aging-report --format=table --period=1y

Owner            Record Title  Last Password Change    Shared    Record URL
---------------  ------------  ----------------------  --------  ----------
user1@company.com  Hilton      2020-05-14 12:41:48     False     https://...
user1@company.com  AlienVault  2020-02-04 12:30:35     True      https://...
user1@company.com  TripAdvisor 2020-07-08 15:22:55     False     https://...
user2@company.com  Amazon      ---                     False     https://...
user2@company.com  Kayak       2021-05-25 09:13:56     False     https://...
user2@company.com  Amazon      ---                     False     https://...
```

</details>

## ユーザーがボルト内でアクセス可能なすべてのレコードの一覧を取得 <a href="#get-a-list-of-all-records-accessible-in-a-users-vault" id="get-a-list-of-all-records-accessible-in-a-users-vault"></a>

{% hint style="info" %}
コンプライアンスレポートアドオンが必要です。
{% endhint %}

```
compliance report
compliance record-access-report
```

エンタープライズレベルでボルト内の表示可能なすべてのレコードの一覧を取得する場合、単一のレポートではこの情報は得られません。`compliance report` は所有レコードのみが返され、`compliance record-access-report` は少なくとも 1 つの共有関係があるレコードのみが返されるためです。

両方のレポートを結合して重複を除くと、すべてのアクセス可能なレコードが網羅されます。

<details>

<summary>例</summary>

```
My Vault> compliance report -r -nc --aging --active-items -u user@company.com

Record UID              Title                              Type    Username                         Permissions                   URL                      In Trash    Shared Folder UID       Created              Last Pw Change       Last Modified         Last Rotation
----------------------  ---------------------------------  ------  -------------------------------  ----------------------------  -----------------------  ----------  ----------------------  -------------------  -------------------  --------------------  ---------------
YxJnMZXOs3mspxrZJ-NnPw  Owned record (not shared)          login   user@company.com                 owner,edit,share,share_admin  owned.com                False                               2026-02-24 09:51:47  2026-02-24 10:00:41  2026-02-24 10:00:36
hjhrpu7_FI4KaQHIh57zZw  Owned record (shared)              login   user@company.com                 owner,edit,share,share_admin  owned-shared.com         False       7lkjCcmUO0f7UPOm_HK_vA  2026-02-24 09:49:14
                        Owned record (shared)              login   user2@company.com                read-only                     owned-shared.com         False       7lkjCcmUO0f7UPOm_HK_vA  2026-02-24 09:49:14

My Vault> compliance record-access-report --report-type vault -r -nc --aging -e user@company.com

Vault Owner       Record UID              Record Title               Record Type    Record URL          Has Attachments    In Trash    Record Owner                     IP Address    Device          Last Access          Created              Last Pw Change    Last Modified        Last Rotation
----------------  ----------------------  -------------------------  -------------  ------------------  -----------------  ----------  -------------------------------  ------------  --------------  -------------------  -------------------  ----------------  -------------------  ---------------
user@company.com  hjhrpu7_FI4KaQHIh57zZw  Owned record (shared)      login          owned-shared.com    False              False       compliance1@tractondynamics.com  10.0.12.33    Web App 17.5.1  2026-02-24 09:53:53  2026-02-24 09:49:14
                  URxbwDkwESW8fuh43RzBZg  Shared record (not owned)  login          shared-record.com   False              False       compliance2@tractondynamics.com                                                     2026-02-24 09:52:24
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.keeper.io/keeperpam/jp/commander-cli/command-reference/reporting-commands/report-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
